petsc-3.7.1 2016-05-15
Report Typos and Errors

# PetscErrorPrintf

Prints error messages.

### Synopsis

    #include <petscsys.h>
    PetscErrorCode (*PetscErrorPrintf)(const char format[],...);

Not Collective Many br

### Input Parameters

format -the usual printf() format string Many br

### Options Database Keys

| -error_output_stdout | - cause error messages to be printed to stdout instead of the (default) stderr Many br
| -error_output_none | - to turn off all printing of error messages (does not change the way the error is handled.) Many br

Notes: Use Many br

        PetscErrorPrintf = PetscErrorPrintfNone; to turn off all printing of error messages (does not change the way the

                           error is handled.) and

        PetscErrorPrintf = PetscErrorPrintfDefault; to turn it back on or you can use your own function

Use Many brPETSC_STDERR = FILE* obtained from a file open etc. to have stderr printed to the file. Many brPETSC_STDOUT = FILE* obtained from a file open etc. to have stdout printed to the file. Many br

Use Many brPetscPushErrorHandler() to provide your own error handler that determines what kind of messages to print Many br

Many br

### Fortran Note

This routine is not supported in Fortran. Many br

### See Also

PetscFPrintf(), PetscSynchronizedPrintf(), PetscHelpPrintf(), PetscPrintf(), PetscErrorHandlerPush(), PetscVFPrintf(), PetscHelpPrintf()

Level:developer
Location:src/sys/error/../../../include/petscerror.h
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages